@charset "UTF-8";
.qtd-theme {
	position: relative;
	display: flex;
	width: inherit;
	height: auto;
	background-color: var(--qtd-fun-color-1);
	border: 1px solid var(--qtd-fun-color-4);
	transition: all .2s ease;
	box-sizing: content-box;
	border-radius: 4px;
	/* loading 动画*/
	/* loading 动画*/
}.qtd-theme img{
	-webkit-user-drag: none;
	width: 100%;
}.qtd-theme > a:nth-child(1){
	position: relative;
	display: block;
	width: 100%;
	height: 100%;
	-webkit-user-drag: none;
	overflow: hidden;
	border-radius: 4px;
}.qtd-theme .card-modal{
	position: absolute;
	left: 0;
	top: 0;
	z-index: 1;
	width: 100%;
	height: 100%;
	background: linear-gradient(180deg, rgba(0, 0, 0, 0) 74.48%, rgba(0, 0, 0, 0.15) 81.51%, rgba(0, 0, 0, 0.58) 98.9%);
	transition: opacity .38s ease-in-out;
	border-radius: 4px;
	opacity: 1;
	pointer-events: none;
}.qtd-theme .card-preview{
	position: relative;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 100%;
	height: 100%;
	background-color: transparent;
	overflow: hidden;
	border-radius: 4px;
}.qtd-theme .card-preview.image-preview-single .image-container{
	display: flex;
	width: 100%;
	height: 100%;
	justify-content: center;
	background: var(--qtd-fun-color-1);
	transition: all .38s linear;
}.qtd-theme .card-preview.image-preview-single .image-container.top{
	align-items: flex-start;
}.qtd-theme .card-preview.image-preview-single .image-container.center{
	align-items: center;
}.qtd-theme .card-preview.image-preview-single .image-container > img{
	height: 100%;
	width: auto;
	max-width: 100%;
	transition: all .38s ease-in-out;
	z-index: 2;
}.qtd-theme .card-preview.image-preview-single .drag-line{
	display: flex;
	align-items: center;
	justify-content: center;
	position: absolute;
	width: 100%;
	height: 8px;
	left: 0;
	top: 50%;
	transform: translateY(-50%);
	cursor: pointer;
	opacity: 0;
	z-index: 1;
	transition: opacity .38s ease-in-out;
}.qtd-theme .card-preview.image-preview-single .drag-line:before{
	content: '';
	height: 2px;
	width: 100%;
	background: var(--qtd-gold-color-6);
}.qtd-theme .card-preview.image-preview-multi{
	padding: 4px;
}.qtd-theme .card-preview.image-preview-multi .image-container{
	width: 100%;
	height: 100%;
	overflow: hidden;
}.qtd-theme .card-preview.image-preview-multi .image-container .multi-img-box{
	width: 100%;
	height: auto;
}.qtd-theme .card-preview.image-preview-multi .image-container .multi-img-box > div{
	float: left;
	width: calc(50% - 2px);
	height: auto;
	margin-bottom: 4px;
}.qtd-theme .card-preview.image-preview-multi .image-container .multi-img-box > div > img{
	position: relative;
	float: left;
	width: 100%;
	height: auto;
	margin-bottom: 4px;
	border-radius: 2px;
	opacity: 1;
	overflow: hidden;
}.qtd-theme .card-preview.image-preview-multi .image-container .multi-img-box > div:nth-child(1){
	margin-right: 4px;
}.qtd-theme .card-preview.image-preview-multi .drag-line{
	display: flex;
	align-items: center;
	justify-content: center;
	position: absolute;
	width: 100%;
	height: 8px;
	left: 0;
	top: 50%;
	transform: translateY(-50%);
	cursor: pointer;
	opacity: 0;
	z-index: 1;
	transition: opacity .38s ease-in-out;
}.qtd-theme .card-preview.image-preview-multi .drag-line:before{
	content: '';
	height: 2px;
	width: 100%;
	background: var(--qtd-brand-color-6);
}.qtd-theme .bottom-box{
	position: absolute;
	left: 0;
	bottom: 0;
	width: 100%;
	height: 64px;
	z-index: 4;
}.qtd-theme .bottom-box .qtd-btn{
	position: absolute;
	width: 80px;
	right: 8px;
	top: 50%;
	transform: translateY(-50%);
	padding: 0;
	opacity: 0;
	transition: opacity .38s ease-in-out;
	z-index: 1;
}.qtd-theme .bottom-box.bottom-box-b{
	height: 72px;
}.qtd-theme .bottom-box.bottom-box-b .theme-title-box-b{
	position: relative;
	display: flex;
	flex-direction: column;
	width: 100%;
	height: 100%;
	padding: 8px;
}.qtd-theme .bottom-box.bottom-box-b .theme-title-box-b .title{
	display: flex;
	align-items: center;
	justify-content: space-between;
	width: 100%;
	height: 28px;
	font-size: 16px;
	font-weight: 500;
	color: var(--qtd-fun-color-12);
	margin-bottom: 8px;
	z-index: 1;
}.qtd-theme .bottom-box.bottom-box-b .theme-title-box-b .title i{
	display: flex;
	width: 24px;
	height: 24px;
	align-items: center;
	justify-content: center;
	margin-right: 4px;
}.qtd-theme .bottom-box.bottom-box-b .theme-title-box-b .title em{
	display: inline-block;
	width: auto;
	height: 24px;
	line-height: 24px;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}.qtd-theme .bottom-box.bottom-box-b .theme-title-box-b .title em i{
	display: inline-block;
	text-align: center;
}.qtd-theme .bottom-box.bottom-box-b .theme-title-box-b .title span{
	display: flex;
	min-width: 50px;
	height: 20px;
	align-items: center;
	justify-content: flex-end;
	font-size: 12px;
	color: var(--qtd-fun-color-8);
	margin-left: 8px;
	transition: opacity .38s ease-in-out;
}.qtd-theme .bottom-box.bottom-box-b .theme-title-box-b .text{
	display: flex;
	align-items: center;
	width: 100%;
	height: 20px;
	font-size: 12px;
	color: var(--qtd-fun-color-12);
	transition: all .38s ease-in-out;
	z-index: 1;
}.qtd-theme .bottom-box.bottom-box-b .theme-title-box-b .text span{
	font-size: 12px;
	color: var(--qtd-fun-color-10);
	text-align: right;
	margin-right: 8px;
	width: max-content;
}.qtd-theme .bottom-box.bottom-box-b .theme-title-box-b .text i{
	display: flex;
	width: 24px;
	height: 24px;
	align-items: center;
	justify-content: center;
	margin-right: 4px;
	font-size: 12px;
}.qtd-theme .bottom-box.bottom-box-b .theme-title-box-b .text em{
	display: flex;
	flex: 1;
	transition: all .38s ease-in-out;
}.qtd-theme .bottom-box.bottom-box-b .theme-title-box-b.theme-theme-title .title i{
	color: var(--qtd-warning-color-6);
}.qtd-theme .bottom-box.bottom-box-b .theme-title-box-b.theme-theme-title .title span{
	min-width: max-content;
}.qtd-theme .bottom-box.bottom-box-b .theme-title-box-b.theme-theme-title .text{
	color: var(--qtd-warning-color-6);
}.qtd-theme .bottom-box.bottom-box-b .theme-title-box-b.theme-theme-title:before{
	content: '';
	position: absolute;
	left: 0;
	bottom: 0;
	width: 100%;
	height: 104px;
	background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, #FFFFFF 40%, #FFFBF5 100%);
}.qtd-theme .bottom-box.bottom-box-b .theme-title-box-b.theme-favorites-title .title i{
	color: var(--qtd-brand-color-6);
}.qtd-theme .bottom-box.bottom-box-b .theme-title-box-b.theme-favorites-title .text{
	color: var(--qtd-brand-color-6);
}.qtd-theme .bottom-box.bottom-box-b .theme-title-box-b.theme-favorites-title:before{
	content: '';
	position: absolute;
	left: 0;
	bottom: 0;
	width: 100%;
	height: 104px;
	background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, #FFFFFF 40%, #F5FFFA 100%);
}.qtd-theme .bottom-box.bottom-box-a{
	bottom: -28px;
	height: 28px;
	padding-top: 8px;
}.qtd-theme .bottom-box.bottom-box-a .theme-title-box-a{
	display: flex;
	width: 100%;
	height: 100%;
	justify-content: space-between;
}.qtd-theme .bottom-box.bottom-box-a .theme-title-box-a .title{
	display: flex;
	align-items: center;
	height: 22px;
	font-size: 12px;
	font-weight: 600;
	color: var(--color-4);
	flex: 1;
	width: 0;
	padding-right: 4px;
}.qtd-theme .bottom-box.bottom-box-a .theme-title-box-a .title em{
	display: inline-block;
	width: calc(100% - 24px);
	height: 22px;
	line-height: 22px;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}.qtd-theme .bottom-box.bottom-box-a .theme-title-box-a .title i{
	font-size: 12px;
	margin-right: 4px;
}.qtd-theme .bottom-box.bottom-box-a .theme-title-box-a .num{
	display: flex;
	align-items: center;
	height: 22px;
	font-size: 12px;
	font-weight: 600;
	color: var(--qtd-fun-color-12);
}.qtd-theme .bottom-box .theme-desc{
	display: none;
}.qtd-theme.qtd-theme-card-e{
	aspect-ratio: 3/4;
	box-sizing: content-box;
}.qtd-theme.qtd-theme-card-e .card-modal{
	opacity: 0;
}.qtd-theme.qtd-theme-card-e{
	border: none;
}.qtd-theme.qtd-theme-card-e .card-bg-img{
	display: none;
	position: absolute;
	width: 100%;
	height: 100%;
	transform: rotate(3deg);
	opacity: .1 !important;
	z-index: 0;
	border-radius: 4px;
	background: var(--qtd-fun-color-7);
}.qtd-theme.qtd-theme-card-e .card-bg-img.hide{
	display: none !important;
}.qtd-theme.qtd-theme-card-e .left-top-box{
	position: absolute;
	display: flex;
	align-items: center;
	justify-content: flex-end;
	height: 22px;
	left: 8px;
	top: 8px;
	z-index: 10;
	transition: opacity .38s ease-in-out;
	opacity: 1;
}.qtd-theme.qtd-theme-card-e .left-top-box .is-rosi-tips{
	display: flex;
	align-items: center;
	justify-content: center;
	width: max-content;
	height: 24px;
	background: var(--qtd-brand-color-6);
	border-radius: 4px;
	font-weight: 400;
	font-size: 14px;
	color: var(--qtd-fun-color-1);
	padding: 0 8px;
}.qtd-theme.qtd-theme-card-e .right-top-box{
	position: absolute;
	display: flex;
	align-items: center;
	justify-content: flex-end;
	height: 22px;
	right: 8px;
	top: 8px;
	z-index: 10;
	transition: opacity .38s ease-in-out;
	opacity: 1;
}.qtd-theme.qtd-theme-card-e .right-top-box .theme-nums{
	display: flex;
	align-items: center;
	justify-content: center;
	width: max-content;
	height: 24px;
	left: 164px;
	top: 9px;
	background: rgba(0, 0, 0, 0.58);
	border: 1px solid rgba(255, 255, 255, 0.58);
	border-radius: 12px;
	padding: 0 8px;
	font-weight: 400;
	font-size: 14px;
	color: #FFFFFF;
}.qtd-theme.qtd-theme-card-e .right-bottom-box{
	position: absolute;
	display: flex;
	align-items: center;
	justify-content: flex-end;
	column-gap: 8px;
	height: 20px;
	right: 8px;
	bottom: 8px;
	transition: opacity .38s ease-in-out;
	opacity: 1;
	z-index: 10;
}.qtd-theme.qtd-theme-card-e .right-bottom-box .copyRight-tips{
	display: none;
	align-items: center;
	justify-content: center;
	width: max-content;
	height: 20px;
	padding: 0 8px;
	background: var(--qtd-fun-color-12);
	border: 1px solid #FCDA7C;
	color: #FCDA7C;
	border-radius: 4px;
	font-weight: 400;
	font-size: 12px;
}.qtd-theme.qtd-theme-card-e .bottom-box.bottom-box-a{
	bottom: 0px;
	height: 48px;
	padding-top: 0;
}.qtd-theme.qtd-theme-card-e .bottom-box.bottom-box-a .theme-title-box-a{
	height: 22px;
}.qtd-theme.qtd-theme-card-e .bottom-box.bottom-box-a .theme-title-box-a .title{
	font-weight: 500;
	font-size: 14px;
	color: var(--color-4);
}.qtd-theme.qtd-theme-card-e .bottom-box.bottom-box-a .theme-title-box-a .title i{
	display: none;
}.qtd-theme.qtd-theme-card-e .bottom-box.bottom-box-a .theme-title-box-a .num{
	font-weight: 400;
	font-size: 12px;
	color: var(--qtd-fun-color-8);
	opacity: 0;
	transition: all .38s ease-in-out;
}.qtd-theme.qtd-theme-card-e .bottom-box.bottom-box-a .theme-desc{
	display: inline-block;
	font-weight: 400;
	font-size: 12px;
	width: 100%;
	height: 20px;
	color: var(--color-4);
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
	opacity: 0;
	transition: opacity .38s ease-in-out;
}.qtd-theme.qtd-theme-card-e a{
	z-index: 1;
}.qtd-theme:hover .bottom-box.bottom-box-b .theme-title-box-b .title span,.qtd-theme.active .bottom-box.bottom-box-b .theme-title-box-b .title span{
	opacity: 0;
	min-width: 80px;
}.qtd-theme:hover .bottom-box.bottom-box-b .theme-title-box-b .text span,.qtd-theme.active .bottom-box.bottom-box-b .theme-title-box-b .text span{
	display: flex;
}.qtd-theme:hover .bottom-box .qtd-btn,.qtd-theme.active .bottom-box .qtd-btn{
	opacity: 1;
}.qtd-theme:hover.qtd-theme-card-e .card-modal,.qtd-theme.active.qtd-theme-card-e .card-modal{
	opacity: 0;
}.qtd-theme:hover.qtd-theme-card-e .left-top-box,.qtd-theme:hover.qtd-theme-card-e .right-top-box,.qtd-theme:hover.qtd-theme-card-e .right-bottom-box,.qtd-theme.active.qtd-theme-card-e .left-top-box,.qtd-theme.active.qtd-theme-card-e .right-top-box,.qtd-theme.active.qtd-theme-card-e .right-bottom-box{
	opacity: 0;
}.qtd-theme:hover.qtd-theme-card-e .bottom-box.bottom-box-a .num,.qtd-theme:hover.qtd-theme-card-e .bottom-box.bottom-box-a .theme-desc,.qtd-theme.active.qtd-theme-card-e .bottom-box.bottom-box-a .num,.qtd-theme.active.qtd-theme-card-e .bottom-box.bottom-box-a .theme-desc{
	opacity: 1;
}.qtd-theme:hover.qtd-theme-card-e .card-preview.image-preview-single .image-container,.qtd-theme.active.qtd-theme-card-e .card-preview.image-preview-single .image-container{
	transform: scale(1.1);
}.qtd-theme.active{
	z-index: 10;
}.qtd-theme .qt-loading{
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
	width: 100%;
	height: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	z-index: 9;
	pointer-events: none;
}.qtd-theme .qt-design-loading{
	width: 100%;
	height: 100%;
	max-width: 80px;
	max-height: 40px;
}.qtd-theme .qt-design-loading span{
	display: inline-block;
	width: 10%;
	height: 100%;
	border-radius: 4px;
	margin: 0 5%;
	background: var(--qtd-fun-color-1);
	-webkit-animation: cardLoad 1.04s ease infinite;
}.qtd-theme .qt-design-loading span:nth-child(2){
	-webkit-animation-delay: 0.13s;
}.qtd-theme .qt-design-loading span:nth-child(3){
	-webkit-animation-delay: 0.26s;
}.qtd-theme .qt-design-loading span:nth-child(4){
	-webkit-animation-delay: 0.39s;
}.qtd-theme .qt-design-loading span:nth-child(5){
	-webkit-animation-delay: 0.52s;
}.qtd-card-line-container .qtd-theme{
	float: left;
	margin: 0 12px;
	margin-bottom: 60px;
	transition: all .38s ease-in-out;
	box-sizing: border-box;
}.qtd-card-line-container[row-gap="32"] .qtd-theme{
	margin-bottom: 32px;
}.qtd-card-line-container .qtd-card .card-preview.image-preview .image-container > img{
	height: 100%;
}.qtd-card-swiper-container{
	transition: all .38s ease-in-out;
}.qtd-card-swiper-container .qtd-theme{
	width: 100%;
	aspect-ratio: inherit;
	background: transparent;
}.qtd-card-swiper-container .qtd-theme .bottom-box-e{
	position: absolute;
	bottom: 0;
	left: 0;
	top: 0;
	right: 0;
	width: 100%;
	overflow: hidden;
	height: 100%;
}.qtd-card-swiper-container .qtd-theme .bottom-box-e .bottom-box-e-bottom{
	position: absolute;
	bottom: 0;
	left: 0;
	border-radius: 0 0 4px 4px;
	padding: 26px 12px 8px 12px;
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	justify-content: center;
	height: 56px;
	width: 100%;
	background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.58) 100%);
	transition: all 0.3s var(--qtd-transition-cubic-1);
}.qtd-card-swiper-container .qtd-theme .bottom-box-e .bottom-box-e-bottom .title{
	height: 22px;
	font-size: 14px;
	line-height: 22px;
	color: var(--qtd-fun-color-1);
	text-overflow: ellipsis;
	white-space: nowrap;
	max-width: 100%;
	overflow: hidden;
}.qtd-card-swiper-container .qtd-theme .bottom-box-e .bottom-box-e-hover{
	position: absolute;
	bottom: 0;
	left: 0;
	top: 0;
	right: 0;
	flex-direction: column;
	display: flex;
	justify-content: center;
	align-items: center;
	border-radius: 4px;
	background: linear-gradient(180deg, rgba(0, 0, 0, 0.58) 0%, rgba(0, 0, 0, 0.58) 100%);
	opacity: 0;
	transition: all 0.3s var(--qtd-transition-cubic-1);
}.qtd-card-swiper-container .qtd-theme .bottom-box-e .bottom-box-e-hover .title{
	font-weight: 500;
	font-size: 20px;
	line-height: 28px;
	height: 28px;
	padding: 0 16px;
	color: var(--qtd-fun-color-1);
	text-overflow: ellipsis;
	white-space: nowrap;
	max-width: 100%;
	overflow: hidden;
}.qtd-card-swiper-container .qtd-theme .bottom-box-e .num{
	height: 22px;
	font-size: 14px;
	line-height: 22px;
	color: var(--qtd-fun-color-1);
	margin-top: 4px;
}.qtd-card-swiper-container .qtd-theme:hover .bottom-box-e{
	height: 100%;
	align-items: center;
	justify-content: center;
	border-radius: 4px;
}.qtd-card-swiper-container .qtd-theme:hover .bottom-box-e .bottom-box-e-hover{
	opacity: 1;
}.qtd-card-swiper-container .qtd-theme:hover .bottom-box-e .bottom-box-e-bottom{
	bottom: -58px;
}.qtd-card-swiper-container .qtd-theme .card-preview{
	transition: all .38s ease-in-out;
}.qtd-card-swiper-container .qtd-theme .card-preview.image-preview-single .image-container > img{
	width: 100%;
	height: auto;
}.qtd-card-swiper-container .qtd-theme .card-preview video{
	width: 100% !important;
	object-fit: cover;
	height: 100% !important;
}@keyframes leftToTop {
	to {
		top: -80px;
	}
}@keyframes rollAudio {
	0% {
		transform: rotate(0deg);
	}
	25% {
		transform: rotate(90deg);
	}
	50% {
		transform: rotate(180deg);
	}
	75% {
		transform: rotate(270deg);
	}
	100% {
		transform: rotate(360deg);
	}
}@keyframes scale {
	0% {
		transform: scale(1);
	}
	50% {
		transform: scale(1.3);
	}
	100% {
		transform: scale(1);
	}
}@-webkit-keyframes cardLoad {
	0%, 100% {
		height: 100%;
		background: var(--qtd-fun-color-1);
	}
	50% {
		height: 150%;
		margin-top: -20px;
		background: var(--qtd-fun-color-2);
	}
}